Skip to main content
GET
/
webhooks
/
{webhook_id}
/
logs
Get Webhook Logs Public
curl --request GET \
  --url https://api.example.com/webhooks/{webhook_id}/logs \
  --header 'X-API-Key: <api-key>'
{
  "logs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "eventType": "<string>",
      "payload": "<string>",
      "success": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "statusCode": 123,
      "responseBody": "<string>",
      "errorMessage": "<string>",
      "durationMs": 123
    }
  ],
  "total": 123
}

Authorizations

X-API-Key
string
header
required

Path Parameters

webhook_id
string<uuid>
required

Query Parameters

skip
integer
default:0
Required range: x >= 0
limit
integer
default:50
Required range: 1 <= x <= 100

Response

Successful Response

Schema for listing webhook logs.

logs
WebhookLogResponse · object[]
required
total
integer
required